﻿using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Controls.Editors.Primitives;
using Infragistics.Windows;

namespace CurrencyInputCarretPositionChangedEvent
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            
        }

        private void XamCurrencyInput_Loaded(object sender, RoutedEventArgs e)
        {
            MaskedInputTextBox textBox = Utilities.GetDescendantFromName(sender as DependencyObject, "PART_InputTextBox") as MaskedInputTextBox;
            if (textBox != null)
            {
                textBox.SelectionChanged += textBox_SelectionChanged;
            }
        }

        void textBox_SelectionChanged(object sender, RoutedEventArgs e)
        {
            Debug.WriteLine("textBox_SelectionChanged");
        }
    }
}
